;																				
; Warteschleifen																
; Version: 26.10.2011															
; 																				
; Hinweis: die Wartezeiten knnen stark abweichen, 								
; wenn ein Interruptaufruf erfolgt												
;																				
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca.50s Pause	(fr LCD)														
wait_50us:                              
	push temp1          ; temp1 auf dem Stack sichern            
;------------
	ldi  temp1,(10*TAKT/1000000)
wait_50us_w: 
    WDR					; WATCH-DOG		
	NOP
	dec  temp1
    brne wait_50us_w
;------------
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 5ms Pause (fr LCD)														
wait_5ms:                               
	push temp1           ; temp1 auf dem Stack sichern            
	push temp2           ; temp2 auf dem Stack sichern            
;------------
	clr temp1
    ldi temp2,(5*TAKT/1000000)
 wait_5ms_w:
   	WDR					; WATCH-DOG		
 	dec  temp1
    brne wait_5ms_w
    dec  temp2
    brne wait_5ms_w
;------------
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 100ms Pause																
WAIT_100ms:
	push temp1          ; temp1 auf dem Stack sichern            
	push temp2          ; temp2 auf dem Stack sichern            
;------------
	clr temp1
	ldi temp2,(10*TAKT/1000000)
WAIT_100ms_w:	
	WDR					; WATCH-DOG			
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	dec temp1
	brne WAIT_100ms_w
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	dec temp2
	brne WAIT_100ms_w
;------------
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 1s Pause																	
WAIT_1s:
	push temp1          ; temp1 auf dem Stack sichern            
	push temp2          ; temp2 auf dem Stack sichern            
	push temp3          ; temp3 auf dem Stack sichern            

;------------
	clr	temp1			
	clr temp2
	ldi	temp3,(4*TAKT/1000000)			
 wait1s_w:	
    WDR					; WATCH-DOG		
	dec	temp1
	brne	wait1s_w
	dec	temp2		
	brne	wait1s_w
	dec	temp3
	brne	wait1s_w
;------------
	pop temp3      		; temp3 wiederherstellen                    
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################

